purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Linter

Description

This module implements a simple linting pass on the PureScript AST.

Synopsis

- lint :: MonadWriter MultipleErrors m => Module -> m ()
- module Language.PureScript.Linter.Exhaustive
- module Language.PureScript.Linter.Imports

# Documentation

lint :: MonadWriter MultipleErrors m => Module -> m () #

Lint the PureScript AST. | | Right now, this pass performs a shadowing check and a check for unused bindings.

module Language.PureScript.Linter.Exhaustive

module Language.PureScript.Linter.Imports